| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::ItemSortCollator Class Reference
Inheritance diagram for Digikam::ItemSortCollator:

## Public Member Functions
int | albumCompare (const QString &a, const QString &b, Qt::CaseSensitivity caseSensitive, bool natural) const
int | itemCompare (const QString &a, const QString &b, Qt::CaseSensitivity caseSensitive, bool natural) const

## Static Public Member Functions
static ItemSortCollator * | instance ()
| Global instance of internal item sort collator.

## Member Function Documentation

## ◆ instance()

ItemSortCollator * Digikam::ItemSortCollator::instance | ( |  | ) |
| static

All accessor methods are thread-safe.